<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

	<application
		android:name=".DownloadsApp"
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="@string/app_name"
		android:supportsRtl="true"
		android:theme="@style/AppTheme"
		android:usesCleartextTraffic="true"> <!-- This is for debugging purposes only to be able to load content from http on >= Android 9 -->
		<meta-data
			android:name="castlabs-license"
			android:value="${castlabsLicense}"/>

		<activity android:name=".MainActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN"/>

				<category android:name="android.intent.category.LAUNCHER"/>
			</intent-filter>
		</activity>
		<activity
			android:name=".PlaybackActivity"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="@string/title_activity_simple_playback_demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.downloads.MainActivity"/>
		</activity>
	</application>

</manifest>
